#ifndef TLS_HXX
#define TLS_HXX  1


/* ========================================================================== */
/* Include files */

extern "C"
{
#include "config.h"
}


/* ========================================================================== */
/* Function prototypes */

#if CFG_USE_TLS
extern "C"
{
int  tls_init(void);
void  tls_exit(void);
int  tls_vulnerability_check(int);
int  tls_crl_update_check(void);
void  tls_crl_update_control(int);
}
#endif  /* CFG_USE_TLS */


#endif  /* TLS_HXX */

/* EOF */
